### Function

# Gio memory_settings_backend_new

since: 2.28

#### Declaration

    GSettingsBackend*
    g_memory_settings_backend_new (
      void
    )

#### Description

Creates a memory-backed `GSettingsBackend`.

This backend allows changes to settings, but does not write them to any backing storage, so the next time you run your application, the memory backend will start out with the default values again.

Available since: 2.28

#### Return value

Type: `GSettingsBackend`

A newly created `GSettingsBackend`.

The caller of the function takes ownership of the data, and is responsible for freeing it.